import request from '@/utils/request'

// 查询重点航班信息列表
export function listSyncEmergencyFlight (query) {
  return request({
    url: '/system/syncEmergencyFlight/list',
    method: 'get',
    params: query
  })
}

// 查询重点航班信息详细
export function getSyncEmergencyFlight (id) {
  return request({
    url: '/system/syncEmergencyFlight/' + id,
    method: 'get'
  })
}

// 新增重点航班信息
export function addSyncEmergencyFlight (data) {
  return request({
    url: '/system/syncEmergencyFlight',
    method: 'post',
    data: data
  })
}

// 修改重点航班信息
export function updateSyncEmergencyFlight (data) {
  return request({
    url: '/system/syncEmergencyFlight',
    method: 'put',
    data: data
  })
}

// 删除重点航班信息
export function delSyncEmergencyFlight (id) {
  return request({
    url: '/system/syncEmergencyFlight/' + id,
    method: 'delete'
  })
}

// 导出重点航班信息
export function exportSyncEmergencyFlight (query) {
  return request({
    url: '/system/syncEmergencyFlight/export',
    method: 'get',
    params: query
  })
}
